Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/watching/adminwatchingcreatemovie

# Add movie manually

POST `https://api.rewind.rest/v1/watching/admin/movies`

Create a manual watch event by TMDB ID or title search.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Body

#### tmdb\_id (body, number)

#### title (body, string)

#### year (body, number)

#### watched\_at (body, string)

#### rating (body, number)

#### rewatch (body, boolean)

## Response

#### 201

Watch event created

#### id (number, required)

#### movie\_id (number, required)

#### watched\_at (string, required)

#### source (string, required)

#### user\_rating (number, required)

#### rewatch (boolean, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 404

Not found

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/watching/admin/movies' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"tmdb_id": 0, "title": "string", "year": 0, "watched_at": "string", "rating": 0, "rewatch": true}'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/watching/admin/movies', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"tmdb_id": 0, "title": "string", "year": 0, "watched_at": "string", "rating": 0, "rewatch": true}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/watching/admin/movies',
    headers={'Authorization': 'Bearer <token>'},
    json={"tmdb_id": 0, "title": "string", "year": 0, "watched_at": "string", "rating": 0, "rewatch": true}
)
data = res.json()
```

#### Response

```json 201
{
  "id": 0,
  "movie_id": 0,
  "watched_at": "string",
  "source": "string",
  "user_rating": 0,
  "rewatch": true
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 404
{
  "error": "Not found",
  "status": 404
}
```
